[metadata]
name = python-qinlingclient
summary = python-qinlingclient
description-file =
    README.rst
license = Apache License, Version 2.0
author = OpenStack
author-email = openstack-discuss@lists.openstack.org
home-page = https://docs.openstack.org/qinling/latest/
python-requires = >=3.6
classifier =
    Development Status :: 4 - Beta
    Environment :: Console
    Environment :: OpenStack
    Intended Audience :: Developers
    Intended Audience :: Information Technology
    Intended Audience :: System Administrators
    License :: OSI Approved :: Apache Software License
    Operating System :: POSIX :: Linux
    Programming Language :: Python
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8

[files]
packages =
        qinlingclient

[entry_points]
openstack.cli.extension =
    function_engine = qinlingclient.osc.plugin

openstack.function_engine.v1 =
    runtime_list = qinlingclient.osc.v1.runtime:List
    runtime_create = qinlingclient.osc.v1.runtime:Create
    runtime_delete = qinlingclient.osc.v1.runtime:Delete
    runtime_show = qinlingclient.osc.v1.runtime:Show
    runtime_pool_show = qinlingclient.osc.v1.runtime:Pool

    function_list = qinlingclient.osc.v1.function:List
    function_create = qinlingclient.osc.v1.function:Create
    function_delete = qinlingclient.osc.v1.function:Delete
    function_show = qinlingclient.osc.v1.function:Show
    function_update = qinlingclient.osc.v1.function:Update
    function_detach = qinlingclient.osc.v1.function:Detach
    function_download = qinlingclient.osc.v1.function:Download
    function_scaleup = qinlingclient.osc.v1.function:Scaleup
    function_scaledown = qinlingclient.osc.v1.function:Scaledown

    function_worker_list = qinlingclient.osc.v1.function_worker:List

    function_execution_list = qinlingclient.osc.v1.function_execution:List
    function_execution_create = qinlingclient.osc.v1.function_execution:Create
    function_execution_delete = qinlingclient.osc.v1.function_execution:Delete
    function_execution_show = qinlingclient.osc.v1.function_execution:Show
    function_execution_log_show = qinlingclient.osc.v1.function_execution:LogShow

    job_list = qinlingclient.osc.v1.job:List
    job_create = qinlingclient.osc.v1.job:Create
    job_delete = qinlingclient.osc.v1.job:Delete
    job_show = qinlingclient.osc.v1.job:Show
    job_update = qinlingclient.osc.v1.job:Update

    webhook_list = qinlingclient.osc.v1.webhook:List
    webhook_create = qinlingclient.osc.v1.webhook:Create
    webhook_delete = qinlingclient.osc.v1.webhook:Delete
    webhook_show = qinlingclient.osc.v1.webhook:Show
    webhook_update = qinlingclient.osc.v1.webhook:Update

    function_version_create = qinlingclient.osc.v1.function_version:Create
    function_version_list = qinlingclient.osc.v1.function_version:List
    function_version_show = qinlingclient.osc.v1.function_version:Show
    function_version_delete = qinlingclient.osc.v1.function_version:Delete
    function_version_detach = qinlingclient.osc.v1.function_version:Detach

    function_alias_create = qinlingclient.osc.v1.function_alias:Create
    function_alias_list = qinlingclient.osc.v1.function_alias:List
    function_alias_show = qinlingclient.osc.v1.function_alias:Show
    function_alias_delete = qinlingclient.osc.v1.function_alias:Delete
    function_alias_update = qinlingclient.osc.v1.function_alias:Update

[egg_info]
tag_build =
tag_date = 0
tag_svn_revision = 0
